2 Replies Latest reply: Jul 30, 2013 2:29 PM by Sam Beaver
aziel13 Level 1 Level 1 (0 points)

I will admit the Mac I use is out of date but I can't really update it any further.

 

I want to buy a version of Adobe Photoshop but I want to know that the version I buy will actually work.

I'm just wondering what version I should get?

 

Mac Info:

Version: 10.5.8

Processor: 2.16 GHz Intel Core 2 Duo

Memory: 1 GB 667 MHz DDR2 SDRAM

Startup Disk: Hard Drive

(copyrighted 2009)


Adobe Photoshop, Mac OS X (10.5.8)